PostgreSQL

Discussion in 'Feature Requests' started by boardmain, Aug 4, 2005.

  1. eg0y

    eg0y New Member

    what is the default path of PGSQL?:confused:

    and i get this

    [root@localhost compile_aps]# ./compile
    bash: ./compile: Permission denied
     
    Last edited: Mar 11, 2006
  2. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    Did you edit the compile script? Make sure you have Unix linebreaks in it, not Windows linebreaks!
     
  3. eg0y

    eg0y New Member

    yeah i think so.. i just follow the instruction they given in this forum:)

    this is wat i did...

    rm -fr ${INSTALL_ROOT_TMP}
    --with-pgsql=/var/lib/pgsql/
    fi
    cd ${COMPILE_DIR}
     
  4. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    Ok, I see what you did wrong: you tried to run the compile script directly. Don't do it! You must go to the install_ispconfig directory and run
    Code:
    ./setup
    This will also call the compile script.
     
  5. eg0y

    eg0y New Member

    so .. i dont need to type ./compile ?? it must be ./install?
    but if i did did dat.. the ispconfig will be reinstall again ?
     
  6. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    If you have an existing ISPConfig installation, the ISPConfig installer will recognize it and perform an update. However, you should back up /root/ispconfig and /home/admispconfig before (in case something goes wrong).
     
  7. eg0y

    eg0y New Member

    tnx admin ill try to do it.. ill juz inform u wat happen .. tnx man
     
  8. eg0y

    eg0y New Member

    still not ok...........:(

    Your PHP installation does not support PostgreSQL. You need to recompile PHP using the --with-pgsql configure option.
     
  9. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    You edited the compile script and added the "--with-pgsql=/var/lib/pgsql/" part, then run the setup script and everything compiled without errors but you still get the error "Your PHP installation does not support PostgreSQL."?
     
  10. eg0y

    eg0y New Member

    yeah i already did dat but still not works.. that error still come out...:confused:
     
  11. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    What are the exact error messages?

    What's in your compile script?
     
  12. eg0y

    eg0y New Member

    when i try to login to phpgadmin this wat it says

    Your PHP installation does not support PostgreSQL. You need to recompile PHP using the --with-pgsql configure option.

    :confused:
     
  13. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    You are using the phppgsqladmin package available for ISPConfig and connect to the apache webserver on port 81?
     
  14. eg0y

    eg0y New Member

    yah im on port 81
     
  15. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    You're trying to access phpPGAdmin on port 81 and are absolutely sure you compiled ISPConfig's PHP with the --with-pgsql switch?
     
  16. eg0y

    eg0y New Member

    yah man... anywayz tnx 4 assisting me... i think i dont need to install it.. im tired cuzzzzz...:(
     
  17. calande

    calande New Member

    Native support to manage, create PostgreSQL databases and users will be nice :)
     
  18. radim_h

    radim_h Member

    Cannot recompile PHP according this thread

    Hello,

    ISPconfig is working well but i'd like to add phppgadmin
    i have backed up /home/admispconfig and /root/ispconfig
    added --with-pgsql as argument into "compile" file and reinstalled ISPconfig.
    I have tried installation twice - once with removed /root/ispconfig and once with this directory kept on palce

    But in both cases installation ended with this message:
    ERROR: Could not configure PHP
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `spamassassin': No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `uudeview': No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `clamav': No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 860: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!

    What can i do?
     
  19. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    The relevant error that explains why PHP yould not be configured is right above the line:

    Please post this error message. The other errors are only resulting from this first error.
     
  20. radim_h

    radim_h Member

    Post to where??
     

Share This Page